## pdf2djvu 0.9.3

=== Makefile ===
# Copyright © 2007-2015 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of pdf2djvu.
#
# pdf2djvu is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# pdf2djvu is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

srcdir = .
include $(srcdir)/autoconf.mk

exe = pdf2djvu$(EXEEXT)

.PHONY: all
all: $(exe)

ifneq "$(WINDRES)" ""
win32-version.o: win32-version.rc autoconf.hh
	$(WINDRES) -c 65001 -o $(@) $(<)
$(exe): win32-version.o
endif

include Makefile.dep

paths.hh: tools/generate-paths-hh
	$(<) $(foreach var,localedir djvulibre_bindir,$(var) $($(var)))

$(exe): config.o
$(exe): debug.o
$(exe): djvu-outline.o
$(exe): i18n.o
$(exe): image-filter.o
$(exe): pdf-backend.o
$(exe): pdf-document-map.o
$(exe): pdf-dpi.o
$(exe): pdf-unicode.o
$(exe): pdf2djvu.o
$(exe): sexpr.o
$(exe): string-format.o
$(exe): string-printf.o
$(exe): string-utils.o
$(exe): sys-command-posix.o
$(exe): sys-command-win32.o
$(exe): sys-encoding.o
$(exe): sys-time.o
$(exe): sys-uuid.o
$(exe): system.o
$(exe): version.o
$(exe): xmp.o
$(exe):
	$(LINK.cc) $(^) $(LDLIBS) -o $(@)

.PHONY: clean
clean:
	rm -f $(exe) *.o paths.hh
	$(MAKE) -C tests/ clean

.PHONY: distclean
distclean: clean
	rm -f autoconf.hh autoconf.mk config.status config.log

.PHONY: test
test: $(exe)
	$(MAKE) -C tests/

man_pages = $(wildcard doc/*.1 doc/po/*.1)
mo_files = $(wildcard po/*.mo)

.PHONY: install
install: all
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) $(exe) $(DESTDIR)$(bindir)
	INSTALL='$(INSTALL)' tools/install-manpages $(DESTDIR)$(mandir) $(man_pages)
	INSTALL='$(INSTALL)' tools/install-mo $(DESTDIR)$(localedir) $(mo_files)

# vim:ts=4 sts=4 sw=4 noet

=== doc/Makefile ===
srcdir = ..

.PHONY: all
all: pdf2djvu.1

pdf2djvu.1: manpage.xml
	$(srcdir)/tools/build-manpage $(<) $(@)

.PHONY: clean
clean:
	rm -f *.1

# vim:ts=4 sts=4 sw=4 noet

=== po/Makefile ===
# Copyright © 2009-2013 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of pdf2djvu.
#
# pdf2djvu is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# pdf2djvu is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

srcdir = ..
include $(srcdir)/autoconf.mk

po_files = $(wildcard *.po)
mo_files = $(po_files:.po=.mo)
source_files = $(wildcard $(srcdir)/*.cc $(srcdir)/*.hh)

gettext-common-options = \
	--add-location=file \
	--sort-output \
	--no-wrap \

xgettext = $(XGETTEXT) \
	$(gettext-common-options) \
	--language=C++ \
	--keyword=_ --keyword=N_ \
	--package-name=pdf2djvu \
	--package-version=$(PACKAGE_VERSION) \
	--msgid-bugs-address=$(PACKAGE_BUGREPORT) \
	--add-comments=L10N: \

msgmerge = $(MSGMERGE) \
	$(gettext-common-options) \
	--update \
	--verbose \

ifneq "$(wildcard $(srcdir)/.hg/)" ""
msgmerge += --backup=off
endif

msgfmt = $(MSGFMT) \
	--check \
	--verbose \

.PHONY: all
all: pdf2djvu.pot $(po_files) $(mo_files)

pdf2djvu.pot: $(XGETTEXT_HELPER) $(source_files)
	$(xgettext) -D $(srcdir) $(sort $(notdir $(source_files))) > $(@)

%.po: pdf2djvu.pot
	$(msgmerge) $(@) $(<)
	touch $(@)

%.mo: %.po
	$(msgfmt) -o $(@) -c $(<)

.PHONY: check
check: $(po_files)
	$(srcdir)/private/check-po $(^)

.PHONY: clean
clean:
	rm -f *.mo pdf2djvu.pot

# vim:ts=4 sts=4 sw=4 noet

=== tests/Makefile ===
# Copyright © 2009-2015 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of pdf2djvu.
#
# pdf2djvu is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# pdf2djvu is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

srcdir = ..
include $(srcdir)/autoconf.mk

export LC_ALL = C

export pdf2djvu = ../pdf2djvu$(EXEEXT)

test_scripts = $(wildcard test-*.py)
tests = $(test_scripts:.py=)

tex_files = $(wildcard test-*.tex)
pdf_files = $(addsuffix .pdf,$(basename $(tex_files)))

in_files = $(wildcard *.in)

generated_files = $(in_files:.in=) $(pdf_files)

.PHONY: all
ifeq "$(origin pdf2djvu)" "file"
all: $(pdf2djvu)
endif
all: $(generated_files)
	nosetests -v

.PHONY: prepare
prepare: $(generated_files)
	rm -f *.pyc

.PHONY: clean
clean:
	rm -f *.djvu *.pyc

.PHONY: vcs-clean
vcs-clean: clean
	rm -f $(generated_files)

%.pdf: %.tex
	pdftex $(<)
	rm -f $(<:.tex=.log)

%: %.in
	./$(<)

../pdf2djvu$(EXEEXT):
	$(MAKE) -C ../

# vim:ts=4 sts=4 sw=4 noet

=== win32/Makefile ===
# Copyright © 2009-2015 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of pdf2djvu.
#
# pdf2djvu is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# pdf2djvu is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

usr = $(CURDIR)
host = i686-w64-mingw32
docbook_xsl = http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl

ifeq "$(wildcard ../.hg)" ""
version := $(shell head -n1 ../doc/changelog | cut -d ' ' -f2 | tr -d '()')
orig_src_tarball = pdf2djvu-$(version).tar.xz
else
orig_src_tarball := $(shell ../private/build-source-tarball --print-name)
version = $(word 2,$(subst .tar, ,$(subst -, ,$(orig_src_tarball))))
endif

djvulibre_tools = bzz c44 cjb2 csepdjvu djvuextract djvumake djvused djvmcvt

WGET = wget
wget = cd dcache && $(WGET) -c
untar = tar --strip-components=1 -xf
ship_dll = cp bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll && chmod a-x dist/$1*.dll

export CC = $(host)-gcc
export CXX = $(host)-g++
export AS = $(host)-as
export DLLTOOL = $(host)-dlltool
export OBJDUMP = $(host)-objdump
export STRIP = $(host)-strip

export PKG_CONFIG_PATH = $(usr)/lib/pkgconfig
export CPATH = $(usr)/include
export LDFLAGS = -L$(usr)/lib

export CFLAGS = -Os
export CXXFLAGS = -Os
export CPPFLAGS = -D__USE_MINGW_ANSI_STDIO

export WINEDEBUG ?= fixme+all,err+all
export V = 1

.PHONY: all
all:
	@echo Usage:
	@echo '  make source-dist'
	@echo '  make binary-dist'

.PHONY: clean

# Source tarballs

src_tarball_topdir = pdf2djvu-win32-source-$(version)
src_tarball_name = pdf2djvu-win32-source-$(version)
tar_opts = --owner root --group root --mode a+rX --format ustar
xz_opts = -8e

.PHONY: source-dist
source-dist:
	rm -rf src/*/
	$(MAKE) $(shell grep '[^ ]*source[-]stamp:' Makefile | cut -d: -f1)
	rm -rf $(src_tarball_topdir)
	mkdir $(src_tarball_topdir)
	cp -rl src/*/ $(src_tarball_topdir)/
	find $(src_tarball_topdir) -name source-stamp -delete
	find $(src_tarball_topdir) -type d -name .pc | xargs rm -rf
	tar $(tar_opts) -I 'xz -v $(xz_opts)' -cf $(src_tarball_name).tar.xz $(src_tarball_topdir)
	rm -rf $(src_tarball_topdir)

.PHONY: clean-source
clean: clean-source
clean-source:
	rm -rf src/
	rm -rf $(src_tarball_topdir)
	rm -f $(src_tarball_name).tar.xz

# Binary zipballs

zipball_topdir = pdf2djvu-$(version)
zipball_name = pdf2djvu-win32-$(version)
zip_opts = -9 -X -r

.PHONY: binary-dist
binary-dist: install
	mkdir -p $(zipball_topdir)
	cp -rl dist/* $(zipball_topdir)
	chmod a-x $(zipball_topdir)/*.exe
	chmod -R a+rX $(zipball_topdir)
	zip $(zip_opts) $(zipball_name).zip $(zipball_topdir)
	rm -r $(zipball_topdir)

.PHONY: clean-binary
clean: clean-binary
clean-binary:
	rm -rf bin/ etc/ include/ lib/ share/
	rm -rf dist/
	rm -rf $(zipball_topdir)
	rm -f $(zipball_name).zip

.PHONY: install
install: src/pdf2djvu/install-stamp
install: src/libs-install-stamp
install: src/urw-fonts/install-stamp

# pdf2djvu

src/pdf2djvu/source-stamp: dcache/$(orig_src_tarball)
	mkdir -p $(dir $@)
	$(untar) $(<) -C $(dir $@)
	rm -f $(dir $@)/paths.hh
	touch $(@)

src/pdf2djvu/config.status: src/pdf2djvu/source-stamp
src/pdf2djvu/config.status: src/djvulibre/install-stamp
src/pdf2djvu/config.status: src/gettext/install-stamp
src/pdf2djvu/config.status: src/graphicsmagick/install-stamp
src/pdf2djvu/config.status: src/exiv2/install-stamp
src/pdf2djvu/config.status: src/mingwrt/install-stamp
src/pdf2djvu/config.status: src/poppler/install-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--bindir=$(usr)/dist/ \
		--localedir=$(usr)/dist/locale/ \
		--with-graphicsmagick \
		--enable-xmp \
		--disable-openmp

src/pdf2djvu/build-stamp: src/pdf2djvu/config.status
	$(MAKE) djvulibre_bindir=. localedir=./locale -C $(dir $@)
	touch $(@)

src/pdf2djvu/install-stamp: src/pdf2djvu/build-stamp
	mkdir -p dist/doc/
	$(MAKE) install -C $(dir $@)
	$(STRIP) dist/pdf2djvu.exe
	xsltproc --nonet $(docbook_xsl) src/pdf2djvu/doc/manpage.xml > dist/doc/manpage.html
	$(MAKE) -C $(dir $@)/doc/po/ xml
	cd src/pdf2djvu/doc/po/ && set -e && \
		for file in *.xml; do \
			locale="$${file%.*}"; \
			xsltproc --nonet $(docbook_xsl) $$file > $(usr)/dist/doc/manpage-$$locale.html; \
		done
	sed -e 's/$$/\r/' < src/pdf2djvu/doc/COPYING > dist/doc/COPYING.txt
	cd src/pdf2djvu/doc \
		ls *.txt | sed -e '/build-/d; s/[.]txt$$//' \
		| xargs -I{file} -t rst2html {file}.txt $(usr)/dist/doc/{file}.html
	sed -e 's/$$/\r/' < src/pdf2djvu/doc/changelog > dist/doc/changelog.txt
	touch $(@)

# Various libraries

src/libs-install-stamp: src/djvulibre/install-stamp
src/libs-install-stamp: src/fontconfig/install-stamp
src/libs-install-stamp: src/freetype/install-stamp
src/libs-install-stamp: src/gettext/install-stamp
src/libs-install-stamp: src/graphicsmagick/install-stamp
src/libs-install-stamp: src/libjpeg/install-stamp
src/libs-install-stamp: src/expat/install-stamp
src/libs-install-stamp: src/exiv2/install-stamp
src/libs-install-stamp: src/poppler/install-stamp
src/libs-install-stamp: src/winiconv/install-stamp
	mkdir -p dist/doc/
	rst2html doc/COPYING.libs.txt > dist/doc/COPYING.libs.html
	touch $(@)

# Poppler

src/poppler/source-stamp:
	mkdir -p $(dir $@)
	$(wget) http://poppler.freedesktop.org/poppler-0.18.4.tar.gz
	echo '33421148cdc8e043da291dece2cce1cea6220d49a50c00c56d56d6435501d42e  dcache/poppler-0.18.4.tar.gz' | sha256sum -c
	$(untar) dcache/poppler-*.tar.gz -C $(dir $@)
	cd $(dir $@) && QUILT_PATCHES=../../patches/poppler quilt push -a
	cd $(dir $@) && autoreconf -vfi
	rm -rf $(dir $@)/*.cache $(dir $@)/*~
	touch $(@)

src/poppler/config.status: src/poppler/source-stamp
src/poppler/config.status: src/fontconfig/install-stamp
src/poppler/config.status: src/libjpeg/install-stamp
	cd $(dir $@) && \
		CPPFLAGS='-DWIN32_LEAN_AND_MEAN -DXMD_H' \
		./configure --host=$(host) --prefix=$(usr) \
		--with-font-configuration=fontconfig \
		--enable-xpdf-headers \
		--disable-static \
		--disable-cms \
		--disable-abiword-output \
		--disable-cairo-output \
		--disable-poppler-cpp \
		--disable-poppler-glib \
		--disable-poppler-qt \
		--disable-poppler-qt4 \
		--disable-utils \
		--disable-libpng \
		--disable-compile-warnings

src/poppler/build-stamp: src/poppler/config.status
	$(MAKE) -C $(dir $@)
	touch $(@)

src/poppler/install-stamp: src/poppler/build-stamp
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libpoppler)
	touch $(@)

# DjVuLibre

src/djvulibre/source-stamp:
	mkdir -p $(dir $@)
	$(wget) http://downloads.sourceforge.net/project/djvu/DjVuLibre/3.5.27/djvulibre-3.5.27.tar.gz
	echo 'e69668252565603875fb88500cde02bf93d12d48a3884e472696c896e81f505f  dcache/djvulibre-3.5.27.tar.gz' | sha256sum -c
	$(untar) dcache/djvulibre-*.tar.gz -C $(dir $@)
	sed -i -e 's/[A-Z]\+_EXPORT/DLL_EXPORT/' $(dir $@)/libdjvu/*.h
	sed -i -e 's/#if.*def.*AUTOCONF.*/#if 0/' $(dir $@)/libdjvu/DjVuMessage.cpp
	touch $(@)

src/djvulibre/config.status: src/djvulibre/source-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--without-jpeg \
		--disable-static

src/djvulibre/build-stamp: src/djvulibre/config.status
	$(MAKE) -C $(dir $@)/libdjvu
	$(MAKE) -C $(dir $@)/tools
	touch $(@)

src/djvulibre/install-stamp: src/djvulibre/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@)/libdjvu install
	$(MAKE) -C $(dir $@)/tools install
	set -e && \
	for tool in $(djvulibre_tools); do \
		cp bin/$$tool.exe bin/$$tool; \
		cp bin/$$tool.exe dist/; \
		$(STRIP) dist/$$tool.exe; \
	done
	$(call ship_dll,libdjvulibre)
	touch $(@)

# GraphicsMagick

src/graphicsmagick/source-stamp:
	mkdir -p $(dir $@)
	$(wget) ftp://ftp.graphicsmagick.org/pub/GraphicsMagick/1.3/GraphicsMagick-1.3.21.tar.xz
	echo '9045304d991776b6a37e1b45b9b6ef152593ada0d49bc744263565617cbf3c1f  dcache/GraphicsMagick-1.3.21.tar.xz' | sha256sum -c
	$(untar) dcache/GraphicsMagick-1.3.21.tar.xz -C $(dir $@)
	cd $(dir $@) && QUILT_PATCHES=../../patches/graphicsmagick quilt push -a
	cd $(dir $@) && autoreconf -vfi
	rm -rf $(dir $@)/*.cache $(dir $@)/magick/*~
	touch $(@)

src/graphicsmagick/config.status: src/graphicsmagick/source-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
			--disable-installed \
			--disable-openmp --without-threads \
			--enable-shared --disable-static \
			--with-quantum-depth=8 \
			--without-frozenpaths \
			--without-perl \
			--without-bzlib \
			--without-dps \
			--without-fpx \
			--without-gslib \
			--without-jbig \
			--without-webp \
			--without-jpeg \
			--without-jp2 \
			--without-lcms \
			--without-lcms2 \
			--without-lzma \
			--without-png \
			--without-tiff \
			--without-trio \
			--without-ttf \
			--without-umem \
			--without-wmf \
			--without-xml \
			--without-zlib \
			--without-x \
			--without-png

src/graphicsmagick/build-stamp: src/graphicsmagick/config.status
	$(MAKE) -C $(dir $@)
	touch $(@)

src/graphicsmagick/install-stamp: src/graphicsmagick/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libGraphicsMagick)
	rm dist/libGraphicsMagickWand*.dll
	touch $(@)

# Expat

src/expat/source-stamp:
	mkdir -p $(dir $@)
	$(wget) http://downloads.sourceforge.net/project/expat/expat/2.1.0/expat-2.1.0.tar.gz
	echo '823705472f816df21c8f6aa026dd162b280806838bb55b3432b0fb1fcca7eb86  dcache/expat-2.1.0.tar.gz' | sha256sum -c
	$(untar) dcache/expat-*.tar.gz -C $(dir $@)
	touch $(@)

src/expat/config.status: src/expat/source-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--disable-static

src/expat/build-stamp: src/expat/config.status
	$(MAKE) -C $(dir $@)
	touch $(@)

src/expat/install-stamp: src/expat/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libexpat)
	touch $(@)

# Exiv2

src/exiv2/source-stamp:
	mkdir -p $(dir $@)
	$(wget) http://www.exiv2.org/exiv2-0.25.tar.gz
	echo 'c80bfc778a15fdb06f71265db2c3d49d8493c382e516cb99b8c9f9cbde36efa4  dcache/exiv2-0.25.tar.gz' | sha256sum -c
	$(untar) dcache/exiv2-*.tar.gz -C $(dir $@)
	cd $(dir $@) && QUILT_PATCHES=../../patches/exiv2 quilt push -a
	touch $(@)

src/exiv2/config.status: src/exiv2/source-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--disable-static \
		--without-zlib \
		--disable-lensdata

src/exiv2/build-stamp: src/exiv2/config.status
	$(MAKE) -C $(dir $@)
	touch $(@)

src/exiv2/install-stamp: src/exiv2/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libexiv2)
	touch $(@)

# FreeType

src/freetype/source-stamp:
	mkdir -p $(dir $@)
	$(wget) http://download.savannah.gnu.org/releases/freetype/freetype-2.6.tar.bz2
	echo '8469fb8124764f85029cc8247c31e132a2c5e51084ddce2a44ea32ee4ae8347e  dcache/freetype-2.6.tar.bz2' | sha256sum -c
	$(untar) dcache/freetype-2.6.tar.bz2 -C $(dir $@)
	cd $(dir $@) && ./autogen.sh
	rm -rf $(dir $@)/builds/unix/*.cache/
	touch $(@)

src/freetype/config.status: src/freetype/source-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--without-png \
		--without-zlib \
		--disable-static
	touch $(@)

src/freetype/build-stamp: src/freetype/config.status
	$(MAKE) -C $(dir $@)
	touch $(@)

src/freetype/install-stamp: src/freetype/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libfreetype)
	touch $(@)

# fontconfig

src/fontconfig/source-stamp:
	mkdir -p $(dir $@)
	$(wget) http://www.freedesktop.org/software/fontconfig/release/fontconfig-2.11.1.tar.bz2
	echo 'dc62447533bca844463a3c3fd4083b57c90f18a70506e7a9f4936b5a1e516a99  dcache/fontconfig-2.11.1.tar.bz2' | sha256sum -c
	$(untar) dcache/fontconfig-2.11.1.tar.bz2 -C $(dir $@)
	cd $(dir $@) && autoreconf -vfi
	rm -rf $(dir $@)/*.cache $(dir $@)/*~
	sed -i -e 's/"append"/"prepend"/g' $(dir $@)/conf.d/*-urw-aliases.conf
	touch $(@)

src/fontconfig/config.status: src/fontconfig/source-stamp

=== doc/po/Makefile ===
# Copyright © 2009-2015 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of pdf2djvu.
#
# pdf2djvu is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# pdf2djvu is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

srcdir = ../..
include $(srcdir)/autoconf.mk

po4a-common-options = \
	--format=docbook

po4a-getext-options = \
	$(po4a-common-options) \
	--master-charset=UTF-8 \
	--package-name=pdf2djvu \
	--package-version=$(PACKAGE_VERSION) \
	--msgid-bugs-address=$(PACKAGE_BUGREPORT) \
	--copyright-holder="Jakub Wilk <jwilk@jwilk.net>"

msgmerge_opts = \
	--no-location \
	--no-wrap \

ifneq "$(wildcard $(srcdir)/.hg/)" ""
msgmerge_opts += --backup=off
endif

po4a-update-po = po4a-updatepo \
	$(po4a-getext-options) \
	--msgmerge-opt="$(msgmerge_opts)"

po4a-gettextize = po4a-gettextize \
	$(po4a-getext-options)

po4a-translate = po4a-translate \
	$(po4a-common-options)

source = ../manpage.xml
po_files = $(wildcard *.po)
langs = $(po_files:.po=)
xml_files = $(addsuffix .xml,$(langs))
man_files = $(addsuffix .1,$(addprefix pdf2djvu.,$(langs)))

.PHONY: all
all: $(man_files)

pdf2djvu.%.1: %.xml
	! [ -s $(<) ] || $(srcdir)/tools/build-manpage --lang $(<) $(@)

.PHONY: xml
xml: $(xml_files)

manpage.pot: $(source)
	$(po4a-gettextize) -m $(<) -p $(@)
	sed -i -e 's/^\([#][.]\) *\([^ ].*[^ ]\) *$$/\1 \2/' $(@)

$(po_files): %.po: $(source)
	$(po4a-update-po) -m $(<) -p $(@)
	touch $(@)

%.xml: %.po
	$(po4a-translate) -k 100 -m $(source) -p $(<) -l $(@)

.PHONY: check
check: $(po_files)
	$(srcdir)/private/check-po $(^)

.PHONY: clean
clean:
	rm -f *.1 *.xml *.pot

# vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
pdf2djvu (0.9.3-1build2) xenial; urgency=medium

  * No change rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 29 Feb 2016 10:49:10 +0100

pdf2djvu (0.9.3-1build1) xenial; urgency=high

  * Rebuild against libpoppler57/s390x.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Dec 2015 21:12:23 +0000

pdf2djvu (0.9.3-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: dropped Vcs-Git and Browser (not collaboratively maintained,
    Git log not needed anymore for review of changes in sponsoring).
  * deb/tests:
    + control: added locales to depends for test_iso8859_1.
    + pdf2djvu: added generation of locale en_US.ISO(-)8859-1.
  * Removed deb/gbp.conf (not needed to be maintained in Git).

 -- Daniel Stender <debian@danielstender.com>  Tue, 01 Dec 2015 22:33:56 +0100

pdf2djvu (0.9.2-3) unstable; urgency=medium

  * deb/tests/pdf2djvu: copy also doc/ to ADTTMP (Closes: #803167)
    [thanks to Dmitry Shachnev].

 -- Daniel Stender <debian@danielstender.com>  Tue, 27 Oct 2015 17:07:45 +0100

pdf2djvu (0.9.2-2) unstable; urgency=medium

  * deb/control: added Build-Conflicts against locales-all (fix for #788352).

 -- Daniel Stender <debian@danielstender.com>  Sun, 25 Oct 2015 22:10:39 +0100

pdf2djvu (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * deb/rules:
    + added generation of locale en_US.ISO(-)8859-1 to override of
      dh_auto_test (and added build-dep against locales to deb/control).
    + use DEB_LDFLAGS_MAINT_APPEND instead of LD_FLAGS, dropped inclusion
      of buildflags.mk (deprecated).

 -- Daniel Stender <debian@danielstender.com>  Sun, 25 Oct 2015 13:18:33 +0100

pdf2djvu (0.9.1-2) unstable; urgency=medium

  * deb/control: dropped build-dep on libpstreams-dev (Closes: #801099).

 -- Daniel Stender <debian@danielstender.com>  Tue, 06 Oct 2015 17:14:57 +0200

pdf2djvu (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: updated build-deps (XMP processing switched to Exiv2).

 -- Daniel Stender <debian@danielstender.com>  Mon, 05 Oct 2015 23:54:55 +0200

pdf2djvu (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Bumped debhelper version to 9.

 -- Daniel Stender <debian@danielstender.com>  Fri, 04 Sep 2015 16:21:27 +0200

=== debian/control ===
Source: pdf2djvu
Section: text
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 djvulibre-bin (>= 3.5.23-6),
 dpkg-dev (>= 1.16.1),
 libdjvulibre-dev (>= 3.5.23-6),
 libgraphicsmagick++1-dev,
 libpoppler-private-dev (>= 0.7.3),
 libexiv2-dev,
 uuid-dev,
 pkg-config,
 python-nose,
 python-pil,
 locales
Build-Conflicts:
 locales-all
Standards-Version: 3.9.6
Homepage: http://jwilk.net/software/pdf2djvu
Testsuite: autopkgtest

Package: pdf2djvu
Architecture: any
Depends:
 djvulibre-bin (>= 3.5.20-5~),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 poppler-data
Breaks:
 libdjvulibre21 (<< 3.5.20-5~)
Description: PDF to DjVu converter
 pdf2djvu creates DjVu files from PDF files. It's able to extract:
  - graphics,
  - text layer,
  - hyperlinks,
  - document outline (bookmarks),
  - metadata (including XMP metadata).

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_clean:
	! [ -f config.status ] || dh_auto_clean

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	mkdir -p debian/tmp/locales
	localedef -f ISO-8859-1 -i en_US ./debian/tmp/locales/en_US.ISO8859-1/
	LOCPATH=$(CURDIR)/debian/tmp/locales $(MAKE) -j1 test
endif

=== debian/tests/control ===
Tests: pdf2djvu
Depends: pdf2djvu, python-nose, python-pil, locales

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://bitbucket.org/jwilk/pdf2djvu/downloads/pdf2djvu-([\d.]+)\.tar\.xz

## pdf2djvu 0.9.4

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,18 @@
 distclean: clean
 	rm -f autoconf.hh autoconf.mk config.status config.log
 
+.PHONY: vcs-clean
+vcs-clean:
+	$(MAKE) -C tests/ vcs-clean
+	$(MAKE) -C po clean
+	$(MAKE) -C doc clean
+	$(MAKE) -C doc/po clean
+	rm -rf autoconf.hh autoconf.hh.in config.log config.status configure
+	rm -rf autom4te.cache
+	rm -rf aclocal.m4 m4
+	rm -f tools/config.* tools/install-sh
+	$(MAKE) distclean
+
 .PHONY: test
 test: $(exe)
 	$(MAKE) -C tests/

=== win32/Makefile ===
--- 
+++ 
@@ -175,7 +175,7 @@
 
 src/poppler/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) http://poppler.freedesktop.org/poppler-0.18.4.tar.gz
+	$(wget) https://poppler.freedesktop.org/poppler-0.18.4.tar.gz
 	echo '33421148cdc8e043da291dece2cce1cea6220d49a50c00c56d56d6435501d42e  dcache/poppler-0.18.4.tar.gz' | sha256sum -c
 	$(untar) dcache/poppler-*.tar.gz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/poppler quilt push -a
@@ -216,7 +216,7 @@
 
 src/djvulibre/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) http://downloads.sourceforge.net/project/djvu/DjVuLibre/3.5.27/djvulibre-3.5.27.tar.gz
+	$(wget) https://downloads.sourceforge.net/project/djvu/DjVuLibre/3.5.27/djvulibre-3.5.27.tar.gz
 	echo 'e69668252565603875fb88500cde02bf93d12d48a3884e472696c896e81f505f  dcache/djvulibre-3.5.27.tar.gz' | sha256sum -c
 	$(untar) dcache/djvulibre-*.tar.gz -C $(dir $@)
 	sed -i -e 's/[A-Z]\+_EXPORT/DLL_EXPORT/' $(dir $@)/libdjvu/*.h
@@ -305,7 +305,7 @@
 
 src/expat/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) http://downloads.sourceforge.net/project/expat/expat/2.1.0/expat-2.1.0.tar.gz
+	$(wget) https://downloads.sourceforge.net/project/expat/expat/2.1.0/expat-2.1.0.tar.gz
 	echo '823705472f816df21c8f6aa026dd162b280806838bb55b3432b0fb1fcca7eb86  dcache/expat-2.1.0.tar.gz' | sha256sum -c
 	$(untar) dcache/expat-*.tar.gz -C $(dir $@)
 	touch $(@)
@@ -385,7 +385,7 @@
 
 src/fontconfig/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) http://www.freedesktop.org/software/fontconfig/release/fontconfig-2.11.1.tar.bz2
+	$(wget) https://www.freedesktop.org/software/fontconfig/release/fontconfig-2.11.1.tar.bz2
 	echo 'dc62447533bca844463a3c3fd4083b57c90f18a70506e7a9f4936b5a1e516a99  dcache/fontconfig-2.11.1.tar.bz2' | sha256sum -c
 	$(untar) dcache/fontconfig-2.11.1.tar.bz2 -C $(dir $@)
 	cd $(dir $@) && autoreconf -vfi

=== doc/po/Makefile ===
--- 
+++ 
@@ -64,6 +64,7 @@
 
 $(po_files): %.po: $(source)
 	$(po4a-update-po) -m $(<) -p $(@)
+	sed -i -e 's/^\([#][.]\) *\([^ ].*[^ ]\) *$$/\1 \2/' $(@)
 	touch $(@)
 
 %.xml: %.po

=== debian/changelog ===
pdf2djvu (0.9.4-1) unstable; urgency=medium

  * New upstream release (Closes: #812007).
  * deb/control:
    + updated maintainer email address.
    + bumped standards to 3.9.7 (no changes needed).
  * deb/copyright: updated, cosmetics.
  * deb/rules: added DEB_BUILD_MAINT_OPTIONS with hardening=+all.

 -- Daniel Stender <stender@debian.org>  Wed, 16 Mar 2016 21:46:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pdf2djvu
 Section: text
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
+Maintainer: Daniel Stender <stender@debian.org>
 Build-Depends:
  autotools-dev,
  debhelper (>= 9),
@@ -18,7 +18,7 @@
  locales
 Build-Conflicts:
  locales-all
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://jwilk.net/software/pdf2djvu
 Testsuite: autopkgtest

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #export DH_VERBOSE=1
 #export DEB_BUILD_OPTIONS=nocheck
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with autotools_dev --parallel

## pdf2djvu 0.9.6

=== win32/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2009-2015 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2009-2016 Jakub Wilk <jwilk@jwilk.net>
 #
 # This file is part of pdf2djvu.
 #
@@ -15,7 +15,7 @@
 host = i686-w64-mingw32
 docbook_xsl = http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl
 
-ifeq "$(wildcard ../.hg)" ""
+ifeq "$(wildcard ../.git)" ""
 version := $(shell head -n1 ../doc/changelog | cut -d ' ' -f2 | tr -d '()')
 orig_src_tarball = pdf2djvu-$(version).tar.xz
 else
@@ -26,7 +26,6 @@
 djvulibre_tools = bzz c44 cjb2 csepdjvu djvuextract djvumake djvused djvmcvt
 
 WGET = wget
-wget = cd dcache && $(WGET) -c
 untar = tar --strip-components=1 -xf
 ship_dll = cp bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll && chmod a-x dist/$1*.dll
 
@@ -43,16 +42,21 @@
 
 export CFLAGS = -Os
 export CXXFLAGS = -Os
-export CPPFLAGS = -D__USE_MINGW_ANSI_STDIO
-
-export WINEDEBUG ?= fixme+all,err+all
+
 export V = 1
+export VERBOSE = 1
+
+export WINEDEBUG ?= err+all,fixme-all
+export WINE = wine
+export WINESERVER = /usr/lib/wine/wineserver32
 
 .PHONY: all
 all:
 	@echo Usage:
 	@echo '  make source-dist'
 	@echo '  make binary-dist'
+	@echo
+	@echo Note: This makefile downloads third-party libraries from the Internet.
 
 .PHONY: clean
 
@@ -175,9 +179,8 @@
 
 src/poppler/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) https://poppler.freedesktop.org/poppler-0.18.4.tar.gz
-	echo '33421148cdc8e043da291dece2cce1cea6220d49a50c00c56d56d6435501d42e  dcache/poppler-0.18.4.tar.gz' | sha256sum -c
-	$(untar) dcache/poppler-*.tar.gz -C $(dir $@)
+	tools/wget https://poppler.freedesktop.org/poppler-0.57.0.tar.xz 0ea37de71b7db78212ebc79df59f99b66409a29c2eac4d882dae9f2397fe44d8
+	$(untar) dcache/poppler-0.57.0.tar.xz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/poppler quilt push -a
 	cd $(dir $@) && autoreconf -vfi
 	rm -rf $(dir $@)/*.cache $(dir $@)/*~
@@ -186,6 +189,7 @@
 src/poppler/config.status: src/poppler/source-stamp
 src/poppler/config.status: src/fontconfig/install-stamp
 src/poppler/config.status: src/libjpeg/install-stamp
+src/poppler/config.status: src/openjpeg/install-stamp
 	cd $(dir $@) && \
 		CPPFLAGS='-DWIN32_LEAN_AND_MEAN -DXMD_H' \
 		./configure --host=$(host) --prefix=$(usr) \
@@ -201,6 +205,7 @@
 		--disable-poppler-qt4 \
 		--disable-utils \
 		--disable-libpng \
+		--enable-libopenjpeg=openjpeg2 \
 		--disable-compile-warnings
 
 src/poppler/build-stamp: src/poppler/config.status
@@ -216,8 +221,7 @@
 
 src/djvulibre/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) https://downloads.sourceforge.net/project/djvu/DjVuLibre/3.5.27/djvulibre-3.5.27.tar.gz
-	echo 'e69668252565603875fb88500cde02bf93d12d48a3884e472696c896e81f505f  dcache/djvulibre-3.5.27.tar.gz' | sha256sum -c
+	tools/wget https://downloads.sourceforge.net/project/djvu/DjVuLibre/3.5.27/djvulibre-3.5.27.tar.gz e69668252565603875fb88500cde02bf93d12d48a3884e472696c896e81f505f
 	$(untar) dcache/djvulibre-*.tar.gz -C $(dir $@)
 	sed -i -e 's/[A-Z]\+_EXPORT/DLL_EXPORT/' $(dir $@)/libdjvu/*.h
 	sed -i -e 's/#if.*def.*AUTOCONF.*/#if 0/' $(dir $@)/libdjvu/DjVuMessage.cpp
@@ -251,9 +255,8 @@
 
 src/graphicsmagick/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) ftp://ftp.graphicsmagick.org/pub/GraphicsMagick/1.3/GraphicsMagick-1.3.21.tar.xz
-	echo '9045304d991776b6a37e1b45b9b6ef152593ada0d49bc744263565617cbf3c1f  dcache/GraphicsMagick-1.3.21.tar.xz' | sha256sum -c
-	$(untar) dcache/GraphicsMagick-1.3.21.tar.xz -C $(dir $@)
+	tools/wget ftp://ftp.graphicsmagick.org/pub/GraphicsMagick/1.3/GraphicsMagick-1.3.26.tar.xz fba015f3d5e5d5f17e57db663f1aa9d338e7b62f1d415b85d13ee366927e5f88
+	$(untar) dcache/GraphicsMagick-1.3.26.tar.xz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/graphicsmagick quilt push -a
 	cd $(dir $@) && autoreconf -vfi
 	rm -rf $(dir $@)/*.cache $(dir $@)/magick/*~
@@ -305,9 +308,8 @@
 
 src/expat/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) https://downloads.sourceforge.net/project/expat/expat/2.1.0/expat-2.1.0.tar.gz
-	echo '823705472f816df21c8f6aa026dd162b280806838bb55b3432b0fb1fcca7eb86  dcache/expat-2.1.0.tar.gz' | sha256sum -c
-	$(untar) dcache/expat-*.tar.gz -C $(dir $@)
+	tools/wget https://downloads.sourceforge.net/project/expat/expat/2.2.3/expat-2.2.3.tar.bz2 b31890fb02f85c002a67491923f89bda5028a880fd6c374f707193ad81aace5f
+	$(untar) dcache/expat-2.2.3.tar.bz2 -C $(dir $@)
 	touch $(@)
 
 src/expat/config.status: src/expat/source-stamp
@@ -329,9 +331,8 @@
 
 src/exiv2/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) http://www.exiv2.org/exiv2-0.25.tar.gz
-	echo 'c80bfc778a15fdb06f71265db2c3d49d8493c382e516cb99b8c9f9cbde36efa4  dcache/exiv2-0.25.tar.gz' | sha256sum -c
-	$(untar) dcache/exiv2-*.tar.gz -C $(dir $@)
+	tools/wget http://www.exiv2.org/exiv2-0.25.tar.gz c80bfc778a15fdb06f71265db2c3d49d8493c382e516cb99b8c9f9cbde36efa4
+	$(untar) dcache/exiv2-0.25.tar.gz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/exiv2 quilt push -a
 	touch $(@)
 
@@ -340,7 +341,8 @@
 		./configure --host=$(host) --prefix=$(usr) \
 		--disable-static \
 		--without-zlib \
-		--disable-lensdata
+		--disable-lensdata \
+		--disable-nls
 
 src/exiv2/build-stamp: src/exiv2/config.status
 	$(MAKE) -C $(dir $@)
@@ -356,9 +358,8 @@
 
 src/freetype/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) http://download.savannah.gnu.org/releases/freetype/freetype-2.6.tar.bz2
-	echo '8469fb8124764f85029cc8247c31e132a2c5e51084ddce2a44ea32ee4ae8347e  dcache/freetype-2.6.tar.bz2' | sha256sum -c
-	$(untar) dcache/freetype-2.6.tar.bz2 -C $(dir $@)
+	tools/wget http://download.savannah.gnu.org/releases/freetype/freetype-2.8.tar.bz2 a3c603ed84c3c2495f9c9331fe6bba3bb0ee65e06ec331e0a0fb52158291b40b
+	$(untar) dcache/freetype-2.8.tar.bz2 -C $(dir $@)
 	cd $(dir $@) && ./autogen.sh
 	rm -rf $(dir $@)/builds/unix/*.cache/
 	touch $(@)
@@ -368,6 +369,7 @@
 		./configure --host=$(host) --prefix=$(usr) \
 		--without-png \
 		--without-zlib \
+		--without-harfbuzz \
 		--disable-static
 	touch $(@)
 
@@ -385,12 +387,13 @@
 
 src/fontconfig/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) https://www.freedesktop.org/software/fontconfig/release/fontconfig-2.11.1.tar.bz2
-	echo 'dc62447533bca844463a3c3fd4083b57c90f18a70506e7a9f4936b5a1e516a99  dcache/fontconfig-2.11.1.tar.bz2' | sha256sum -c
-	$(untar) dcache/fontconfig-2.11.1.tar.bz2 -C $(dir $@)
+	tools/wget https://www.freedesktop.org/software/fontconfig/release/fontconfig-2.12.4.tar.bz2 668293fcc4b3c59765cdee5cee05941091c0879edcc24dfec5455ef83912e45c
+	$(untar) dcache/fontconfig-2.12.4.tar.bz2 -C $(dir $@)
 	cd $(dir $@) && autoreconf -vfi
 	rm -rf $(dir $@)/*.cache $(dir $@)/*~
 	sed -i -e 's/"append"/"prepend"/g' $(dir $@)/conf.d/*-urw-aliases.conf
 	touch $(@)
 
 src/fontconfig/config.status: src/fontconfig/source-stamp
+src/fontconfig/config.status: src/freetype/install-stamp
+src/fontconfig/config.status: src/expat/install-stamp

=== debian/changelog ===
pdf2djvu (0.9.6-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Add disable-jpeg2000-test.patch:
    Ubuntu's poppler is built without jpeg2000 support

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 11 Aug 2017 19:34:51 -0400

pdf2djvu (0.9.5-1) unstable; urgency=medium

  * New upstream release:
    + update build-dep version of libpoppler-private-dev.
  * use debhelper level 10 (changes in deb/compat and deb/control).
  * deb/control:
    + bump standards version to 4.0.0 (no further changes needed).
    + remove deprecated Testsuite field.
    + restore Vcs fields (the repo remained at collab-maint).
  * deb/copyright:
    + use https in Format field.
    + update Source field (project moved to Github).
    + expand copyright span.
  * deb/watch:
    + watch github.com/jwilk/pdf2djvu.
    + bump version to 4.

 -- Daniel Stender <stender@debian.org>  Tue, 18 Jul 2017 13:02:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: pdf2djvu
 Section: text
 Priority: optional
-Maintainer: Daniel Stender <stender@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Stender <stender@debian.org>
 Build-Depends:
  autotools-dev,
- debhelper (>= 9),
+ debhelper (>= 10),
  djvulibre-bin (>= 3.5.23-6),
  dpkg-dev (>= 1.16.1),
  libdjvulibre-dev (>= 3.5.23-6),
  libgraphicsmagick++1-dev,
- libpoppler-private-dev (>= 0.7.3),
+ libpoppler-private-dev (>= 0.17~),
  libexiv2-dev,
  uuid-dev,
  pkg-config,
@@ -18,9 +19,10 @@
  locales
 Build-Conflicts:
  locales-all
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: http://jwilk.net/software/pdf2djvu
-Testsuite: autopkgtest
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pdf2djvu.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/pdf2djvu.git
 
 Package: pdf2djvu
 Architecture: any

## pdf2djvu 0.9.7

=== debian/changelog ===
pdf2djvu (0.9.7-1) unstable; urgency=medium

  * New upstream release.
  * drop unnecessary autotools-dev (changes in deb/rules and deb/control).
  * deb/control: bump standards version to 4.1.1 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Sun, 05 Nov 2017 00:38:43 +0100

pdf2djvu (0.9.6-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Fri, 25 Aug 2017 21:05:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: pdf2djvu
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Stender <stender@debian.org>
+Maintainer: Daniel Stender <stender@debian.org>
 Build-Depends:
- autotools-dev,
  debhelper (>= 10),
  djvulibre-bin (>= 3.5.23-6),
  dpkg-dev (>= 1.16.1),
@@ -19,7 +17,7 @@
  locales
 Build-Conflicts:
  locales-all
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://jwilk.net/software/pdf2djvu
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pdf2djvu.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pdf2djvu.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autotools_dev --parallel
+	dh $@ --parallel
 
 override_dh_auto_clean:
 	! [ -f config.status ] || dh_auto_clean

## pdf2djvu 0.9.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2007-2015 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2007-2016 Jakub Wilk <jwilk@jwilk.net>
 #
 # This file is part of pdf2djvu.
 #

=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2009-2013 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2009-2016 Jakub Wilk <jwilk@jwilk.net>
 #
 # This file is part of pdf2djvu.
 #
@@ -25,6 +25,7 @@
 
 xgettext = $(XGETTEXT) \
 	$(gettext-common-options) \
+	--from-code=UTF-8 \
 	--language=C++ \
 	--keyword=_ --keyword=N_ \
 	--package-name=pdf2djvu \

=== win32/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2009-2016 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2009-2018 Jakub Wilk <jwilk@jwilk.net>
 #
 # This file is part of pdf2djvu.
 #
@@ -29,6 +29,13 @@
 untar = tar --strip-components=1 -xf
 ship_dll = cp bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll && chmod a-x dist/$1*.dll
 
+cmake_options = \
+	-DCMAKE_SYSTEM_NAME=Windows \
+	-DCMAKE_INSTALL_PREFIX=$(usr) \
+	-DCMAKE_FIND_ROOT_PATH=$(usr) \
+	-DCMAKE_FIND_ROOT_PATH_MODE_LIBRARY=ONLY \
+	-DCMAKE_FIND_ROOT_PATH_MODE_INCLUDE=ONLY \
+
 export CC = $(host)-gcc
 export CXX = $(host)-g++
 export AS = $(host)-as
@@ -69,8 +76,7 @@
 
 .PHONY: source-dist
 source-dist:
-	rm -rf src/*/
-	$(MAKE) $(shell grep '[^ ]*source[-]stamp:' Makefile | cut -d: -f1)
+	$(MAKE) $(shell grep '/source[-]stamp:' Makefile | cut -d: -f1)
 	rm -rf $(src_tarball_topdir)
 	mkdir $(src_tarball_topdir)
 	cp -rl src/*/ $(src_tarball_topdir)/
@@ -95,6 +101,7 @@
 .PHONY: binary-dist
 binary-dist: install
 	mkdir -p $(zipball_topdir)
+	! strings -f dist/*.exe dist/*.dll | grep -F '$(CURDIR)'
 	cp -rl dist/* $(zipball_topdir)
 	chmod a-x $(zipball_topdir)/*.exe
 	chmod -R a+rX $(zipball_topdir)
@@ -113,6 +120,7 @@
 install: src/pdf2djvu/install-stamp
 install: src/libs-install-stamp
 install: src/urw-fonts/install-stamp
+install: src/poppler-data/install-stamp
 
 # pdf2djvu
 
@@ -179,42 +187,66 @@
 
 src/poppler/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://poppler.freedesktop.org/poppler-0.57.0.tar.xz 0ea37de71b7db78212ebc79df59f99b66409a29c2eac4d882dae9f2397fe44d8
-	$(untar) dcache/poppler-0.57.0.tar.xz -C $(dir $@)
+	tools/wget https://poppler.freedesktop.org/poppler-0.62.0.tar.xz 5b9a73dfd4d6f61d165ada1e4f0abd2d420494bf9d0b1c15d0db3f7b83a729c6
+	$(untar) dcache/poppler-0.62.0.tar.xz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/poppler quilt push -a
-	cd $(dir $@) && autoreconf -vfi
 	rm -rf $(dir $@)/*.cache $(dir $@)/*~
 	touch $(@)
 
-src/poppler/config.status: src/poppler/source-stamp
-src/poppler/config.status: src/fontconfig/install-stamp
-src/poppler/config.status: src/libjpeg/install-stamp
-src/poppler/config.status: src/openjpeg/install-stamp
-	cd $(dir $@) && \
-		CPPFLAGS='-DWIN32_LEAN_AND_MEAN -DXMD_H' \
-		./configure --host=$(host) --prefix=$(usr) \
-		--with-font-configuration=fontconfig \
-		--enable-xpdf-headers \
-		--disable-static \
-		--disable-cms \
-		--disable-abiword-output \
-		--disable-cairo-output \
-		--disable-poppler-cpp \
-		--disable-poppler-glib \
-		--disable-poppler-qt \
-		--disable-poppler-qt4 \
-		--disable-utils \
-		--disable-libpng \
-		--enable-libopenjpeg=openjpeg2 \
-		--disable-compile-warnings
-
-src/poppler/build-stamp: src/poppler/config.status
+src/poppler/Makefile: src/poppler/source-stamp
+src/poppler/Makefile: src/fontconfig/install-stamp
+src/poppler/Makefile: src/libjpeg/install-stamp
+src/poppler/Makefile: src/openjpeg/install-stamp
+	cd $(dir $@) && \
+		cmake $(cmake_options) . \
+		-DBUILD_CPP_TESTS=OFF \
+		-DBUILD_GTK_TESTS=OFF \
+		-DBUILD_QT5_TESTS=OFF \
+		-DENABLE_CMS=none \
+		-DENABLE_CPP=OFF \
+		-DENABLE_GLIB=OFF \
+		-DENABLE_GTK_DOC=OFF \
+		-DENABLE_LIBCURL=OFF \
+		-DENABLE_LIBOPENJPEG=openjpeg2 \
+		-DENABLE_QT5=OFF \
+		-DENABLE_SPLASH=ON \
+		-DENABLE_UTILS=OFF \
+		-DENABLE_XPDF_HEADERS=ON \
+		-DFONT_CONFIGURATION=fontconfig \
+		-DTESTDATADIR=/nonexistent \
+		-DWITH_NSS3=OFF \
+		-DWITH_PNG=OFF \
+		-DWITH_TIFF=OFF
+	find $(dir $@) -name build.make -print0 \
+	| xargs -0 sed -i -e 's,\([ 	]\)\(/[^ 	]\+/\($(CC)\|$(CXX)\)\) ,\1$(CURDIR)/tools/enforce-relative-paths \2 ,'
+
+src/poppler/build-stamp: src/poppler/Makefile
 	$(MAKE) -C $(dir $@)
 	touch $(@)
 
 src/poppler/install-stamp: src/poppler/build-stamp
 	$(MAKE) -C $(dir $@) install
 	$(call ship_dll,libpoppler)
+	touch $(@)
+
+# poppler-data
+
+src/poppler-data/source-stamp:
+	mkdir -p $(dir $@)
+	tools/wget https://poppler.freedesktop.org/poppler-data-0.4.8.tar.gz 1096a18161f263cccdc6d8a2eb5548c41ff8fcf9a3609243f1b6296abdf72872
+	$(untar) dcache/poppler-data-0.4.8.tar.gz -C $(dir $@)
+	touch $(@)
+
+src/poppler-data/build-stamp: src/poppler-data/source-stamp
+	$(MAKE) -C $(dir $@)
+	touch $(@)
+
+src/poppler-data/install-stamp: src/poppler-data/build-stamp
+	$(MAKE) -C $(dir $@) install prefix=$(usr)
+	mkdir -p dist/share/
+	cp -a share/poppler dist/share/
+	mkdir -p dist/doc/
+	rst2html doc/COPYING.poppler-data.txt > dist/doc/COPYING.poppler-data.html
 	touch $(@)
 
 # DjVuLibre
@@ -255,8 +287,8 @@
 
 src/graphicsmagick/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget ftp://ftp.graphicsmagick.org/pub/GraphicsMagick/1.3/GraphicsMagick-1.3.26.tar.xz fba015f3d5e5d5f17e57db663f1aa9d338e7b62f1d415b85d13ee366927e5f88
-	$(untar) dcache/GraphicsMagick-1.3.26.tar.xz -C $(dir $@)
+	tools/wget https://downloads.sourceforge.net/project/graphicsmagick/graphicsmagick/1.3.27/GraphicsMagick-1.3.27.tar.xz d03278d2790efc1dc72309f85a539810d2a81deb47932f7e6720d09ac72d0367
+	$(untar) dcache/GraphicsMagick-1.3.27.tar.xz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/graphicsmagick quilt push -a
 	cd $(dir $@) && autoreconf -vfi
 	rm -rf $(dir $@)/*.cache $(dir $@)/magick/*~
@@ -308,8 +340,8 @@
 
 src/expat/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://downloads.sourceforge.net/project/expat/expat/2.2.3/expat-2.2.3.tar.bz2 b31890fb02f85c002a67491923f89bda5028a880fd6c374f707193ad81aace5f
-	$(untar) dcache/expat-2.2.3.tar.bz2 -C $(dir $@)
+	tools/wget https://github.com/libexpat/libexpat/releases/download/R_2_2_5/expat-2.2.5.tar.bz2 d9dc32efba7e74f788fcc4f212a43216fc37cf5f23f4c2339664d473353aedf6
+	$(untar) dcache/expat-2.2.5.tar.bz2 -C $(dir $@)
 	touch $(@)
 
 src/expat/config.status: src/expat/source-stamp
@@ -337,6 +369,7 @@
 	touch $(@)
 
 src/exiv2/config.status: src/exiv2/source-stamp
+src/exiv2/config.status: src/expat/install-stamp
 	cd $(dir $@) && \
 		./configure --host=$(host) --prefix=$(usr) \
 		--disable-static \
@@ -358,42 +391,6 @@
 
 src/freetype/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget http://download.savannah.gnu.org/releases/freetype/freetype-2.8.tar.bz2 a3c603ed84c3c2495f9c9331fe6bba3bb0ee65e06ec331e0a0fb52158291b40b
-	$(untar) dcache/freetype-2.8.tar.bz2 -C $(dir $@)
+	tools/wget https://download.savannah.gnu.org/releases/freetype/freetype-2.9.tar.bz2 e6ffba3c8cef93f557d1f767d7bc3dee860ac7a3aaff588a521e081bc36f4c8a
+	$(untar) dcache/freetype-2.9.tar.bz2 -C $(dir $@)
 	cd $(dir $@) && ./autogen.sh
-	rm -rf $(dir $@)/builds/unix/*.cache/
-	touch $(@)
-
-src/freetype/config.status: src/freetype/source-stamp
-	cd $(dir $@) && \
-		./configure --host=$(host) --prefix=$(usr) \
-		--without-png \
-		--without-zlib \
-		--without-harfbuzz \
-		--disable-static
-	touch $(@)
-
-src/freetype/build-stamp: src/freetype/config.status
-	$(MAKE) -C $(dir $@)
-	touch $(@)
-
-src/freetype/install-stamp: src/freetype/build-stamp
-	mkdir -p dist/
-	$(MAKE) -C $(dir $@) install
-	$(call ship_dll,libfreetype)
-	touch $(@)
-
-# fontconfig
-
-src/fontconfig/source-stamp:
-	mkdir -p $(dir $@)
-	tools/wget https://www.freedesktop.org/software/fontconfig/release/fontconfig-2.12.4.tar.bz2 668293fcc4b3c59765cdee5cee05941091c0879edcc24dfec5455ef83912e45c
-	$(untar) dcache/fontconfig-2.12.4.tar.bz2 -C $(dir $@)
-	cd $(dir $@) && autoreconf -vfi
-	rm -rf $(dir $@)/*.cache $(dir $@)/*~
-	sed -i -e 's/"append"/"prepend"/g' $(dir $@)/conf.d/*-urw-aliases.conf
-	touch $(@)
-
-src/fontconfig/config.status: src/fontconfig/source-stamp
-src/fontconfig/config.status: src/freetype/install-stamp
-src/fontconfig/config.status: src/expat/install-stamp

=== debian/changelog ===
pdf2djvu (0.9.8-1) unstable; urgency=medium

  * New upstream release (Closes: #892109).
  * deb/control:
    + among b-deps, bump minimal poppler version to 0.24.
    + fix Vcs-Git.

 -- Daniel Stender <stender@debian.org>  Thu, 08 Mar 2018 18:12:47 +0100

pdf2djvu (0.9.7-2) unstable; urgency=medium

  * deb/changelog:
    + removed a few trailing whitespaces.
  * deb/control:
    + bump standards to 4.1.3 (no changes needed).
    + update Vcs- fields (project moved to Salsa).
  * deb/copyright: expand copyright span.
  * add debian/gbp.conf.

 -- Daniel Stender <stender@debian.org>  Mon, 19 Feb 2018 18:45:13 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dpkg-dev (>= 1.16.1),
  libdjvulibre-dev (>= 3.5.23-6),
  libgraphicsmagick++1-dev,
- libpoppler-private-dev (>= 0.17~),
+ libpoppler-private-dev (>= 0.24~),
  libexiv2-dev,
  uuid-dev,
  pkg-config,
@@ -17,10 +17,10 @@
  locales
 Build-Conflicts:
  locales-all
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://jwilk.net/software/pdf2djvu
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pdf2djvu.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pdf2djvu.git
+Vcs-Browser: https://salsa.debian.org/debian/pdf2djvu
+Vcs-Git: https://salsa.debian.org/debian/pdf2djvu.git
 
 Package: pdf2djvu
 Architecture: any
